VSTGUI: WindowStyle Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
WindowStyle Struct Reference
Standalone Library

Window style. More...

## Public Member Functions
| WindowStyle ()=default
WindowStyle & | operator+= (WindowStyle toAdd)
WindowStyle & | operator-= (WindowStyle toRemove)
WindowStyle & | border ()
WindowStyle & | close ()
WindowStyle & | size ()
WindowStyle & | transparent ()
WindowStyle & | movableByWindowBackground ()
WindowStyle & | centered ()
bool | hasBorder () const
bool | canClose () const
bool | canSize () const
bool | isTransparent () const
bool | isMovableByWindowBackground () const
bool | isCentered () const

## Detailed Description

Window style.

Defines window style and behaviour.

Border: Adds border and title bar. If transparent is set, this is ignored.

Close: Adds a closebox if bordered and allows standard ways of closing the window.

Size: Allows user resizing.

Transparent: Window has no background and no operating system style window frame.

MovableByWindowBackground: User can move the window by its background.

Centered: Window will initially shown centered on screen.

## Constructor & Destructor Documentation

WindowStyle | ( |  | ) |
| default

## Member Function Documentation

WindowStyle& border | ( |  | ) |
| inline

bool canClose | ( |  | ) | const
| inline

bool canSize | ( |  | ) | const
| inline

WindowStyle& centered | ( |  | ) |
| inline

WindowStyle& close | ( |  | ) |
| inline

bool hasBorder | ( |  | ) | const
| inline

bool isCentered | ( |  | ) | const
| inline

bool isMovableByWindowBackground | ( |  | ) | const
| inline

bool isTransparent | ( |  | ) | const
| inline

WindowStyle& movableByWindowBackground | ( |  | ) |
| inline

WindowStyle& operator+= | ( | WindowStyle | toAdd | ) |
| inline

WindowStyle& operator-= | ( | WindowStyle | toRemove | ) |
| inline

WindowStyle& size | ( |  | ) |
| inline

WindowStyle& transparent | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- iwindow.h